Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 26 Oct 2014, 00:47
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Utilities
terminal applications
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 3 Posts_count   Goto page: Previous 1, 2, 3 Next
Author Message
amigo

Joined: 02 Apr 2007
Posts: 2261

PostPosted: Thu 16 Dec 2010, 04:15    Post_subject:  

An interesting aside about one of those last programs -surfraw, written by a certain Julian Assange...
Back to top
View user's profile Send_private_message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2385
Location: UK

PostPosted: Fri 17 Dec 2010, 11:10    Post_subject:  

morgonzola wrote:
HEY you people who have actually tested/used these programs and figured out what needs to be put into them dependency wize

LOOK HERE and either tell me what it was or put them there yourself (sc0ttman Laughing )

Don't worry, I'm getting round to it... Smile

And my brother sent me this:
http://www.jaredandcoralee.com/CLIapps.html

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send_private_message 
sfeeley

Joined: 14 Feb 2010
Posts: 809

PostPosted: Sat 15 Jan 2011, 16:59    Post_subject:  

I just downloaded the pianobar pet and am using it on lucid 5.2.
Runs great!
Thank you!
Back to top
View user's profile Send_private_message 
rokytnji


Joined: 20 Jan 2009
Posts: 1386
Location: Pecos/ Texas

PostPosted: Sat 19 Feb 2011, 14:29    Post_subject:  

morgonzola wrote:
HEY you people who have actually tested/used these programs and figured out what needs to be put into them dependency wize

LOOK HERE and either tell me what it was or put them there yourself (sc0ttman Laughing )



Posted pianobar fix for Quirky and maybe other Puppys below . Need a newer faad2-2.7.

http://www.murga-linux.com/puppy/viewtopic.php?p=496947#496947
Back to top
View user's profile Send_private_message Visit_website 
morgonzola


Joined: 21 Apr 2010
Posts: 160
Location: Los Angeles, CA

PostPosted: Sat 19 Mar 2011, 14:03    Post_subject:  

hey so i just saw this tread again and i was wondering, is there any other apps people specifically want? because most of the apps after this are kind of out there, hacking tools, and/or just repeats of stuff already present in puppy.

so i will see if there is anything else that could be put up here (thanks for that link sc0ttman, otherwise please name some
Back to top
View user's profile Send_private_message 
rokytnji


Joined: 20 Jan 2009
Posts: 1386
Location: Pecos/ Texas

PostPosted: Mon 09 May 2011, 23:49    Post_subject:  

Well post here and at your other link. Pandora radio broke your piano bar with a "please update libpiano" error. So I made 2 updated Debian Sid pets for pianobar. It is working but throws a couple of errors. Just a Biker. Not a good programmer. Maybe better minds than mine can figure out errors.

Made this in Puppy 5.2. It is playing pandora now for me.

Code:
sh-4.1# pianobar
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libsndio.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libroar.so => dlopen() failed
Welcome to pianobar (2011.01.24)! Press ? for a list of commands.
[?] Select station: 23
|>  Station "The Cult Radio" (376063668608468370)
(i) Receiving new playlist... Ok.
|>  "Rain (Live)" by "The Cult" on "Capsule 1"
|>  "Crackerman" by "Stone Temple Pilots" on "Core"
#   -02:06/03:14


Left out login and stations in code tags. Figured it is not needed.

My pets. Type pianobar in terminal to run it.

Edit: I have since tested these pets in Puppeee and LightHouse Puppy 4.43. If you log in OK to pandora.. Then pick out your radio station but get some errors trying to play like a parsing error. Refer to my faad post 2 posts above or at beginning of thread by morgonzola and install faad pet also. This straightens out the parsing errors pianobar throws out. At least for me in Lighthouse Puppy and Puppeee.

Code:
[~] pianobar
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libpulse.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libnas.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libroar.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libsndio.so => dlopen() failed
Welcome to pianobar (2011.01.24)! Press ? for a list of commands.
[?] Username:biker@blah
[?] Password:
(i) Login... Ok.
(i) Get stations... Ok.
    0)     AC/DC Radio
    1)     Audioslave Radio
    2)     Avenged Sevenfold Radio
    3)     Buckcherry Radio
    4)     Charlie Sexton Radio
    5)     Chris Rea Radio
    6)     Depeche Mode Radio
    7)     Evanescence Radio
    8)     Faith No More Radio
    9)     Gary Numan/Tubeway Army Radio
   10)     Gorillaz Radio
   11)  Q  hkhmjar's QuickMix
   12)     Hoobastank Radio
   13)     Les Claypool Radio
   14)     Little Feat Radio
   15)     Marilyn Manson Radio
   16)     Nickelback Radio
   17)     Nine Inch Nails Radio
   18)     Puddle Of Mudd Radio
   19)     Savoy Brown Radio
   20)     Seether Radio
   21)     Stevie Ray Vaughan Radio
   22)     The Black Keys Radio
   23)     The Cult Radio
   24)     The Fabulous Thunderbirds Radio
   25)     Thin Lizzy Radio
   26)     Thousand Foot Krutch Radio
   27)     ZZ Top Radio
[?] Select station: 9
|>  Station "Gary Numan/Tubeway Army Radio" (429169865481684370)
(i) Receiving new playlist... Ok.
|>  "Are You Experienced?" by "Devo" on "Shout"
|>  "More Than This" by "Bryan Ferry + Roxy Music" on "The Best Of Bryan Ferry + Roxy Music"
|>  "Mesh" by "New Order" on "Substance"
|>  "Love Will Tear Us Apart" by "Joy Division" on "The Complete BBC Recordings"
#   -03:19/03:25
pianobar_2011.01.24-2_i386.pet
Description  Install second. Debian Sid deb
pet

 Download 
Filename  pianobar_2011.01.24-2_i386.pet 
Filesize  49.54 KB 
Downloaded  245 Time(s) 
libao4_1.1.0-1_i386.pet
Description  Install first. It is a dependency for pianobar. Debian Sid deb
pet

 Download 
Filename  libao4_1.1.0-1_i386.pet 
Filesize  40.68 KB 
Downloaded  364 Time(s) 

Edited_time_total
Back to top
View user's profile Send_private_message Visit_website 
sfeeley

Joined: 14 Feb 2010
Posts: 809

PostPosted: Tue 10 May 2011, 21:48    Post_subject:  

Was using the pianobar pet from this thread and it worked great, until Pandora changed something (on April 28, 2011).

But apparently a new version of pianobar is already out that fixes this.
http://jimamberger.name/wordpress/?p=1195
http://6xq.net/html/00/17.html

Any chance that you want to work your magic and make another pet?

(I'm basically a newbie and have no idea how to do this)

thanks in advance!
Back to top
View user's profile Send_private_message 
rokytnji


Joined: 20 Jan 2009
Posts: 1386
Location: Pecos/ Texas

PostPosted: Thu 12 May 2011, 12:32    Post_subject:  

Have you tried my pets sfeeley? Pandora radio works for me in my Puppy installs with my pets.
Back to top
View user's profile Send_private_message Visit_website 
rokytnji


Joined: 20 Jan 2009
Posts: 1386
Location: Pecos/ Texas

PostPosted: Wed 27 Jul 2011, 12:33    Post_subject: Pianobar Debian Sid
Sub_title: New Pets
 

My previous Deb Pets were rendered useless again by Pandora site again. Got the "please update libpiano 0 error"

So made myself some new ones. I still use the old faad2-2.7 pet by MyWolfe and my old libao4 pet I posted a few posts up.

These pets fixed pinaobar for me. I made them in Puppeee 4.4

I uninstalled old pianobar only using Puppeee package Manager (same as Puppy package manager) before installing these new pets I made.

Code:
[~] pianobar
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libroar.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libnas.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libpulse.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libsndio.so => dlopen() failed
Welcome to pianobar (2011.07.09)! Press ? for a list of commands.
[?] Username:Biker
[?] Password:
(i) Login... Ok.
(i) Get stations... Ok.
    0)     AC/DC Radio
    1)     Audioslave Radio
    2)     Avenged Sevenfold Radio
    3)     Buckcherry Radio
    4)     Charlie Sexton Radio
    5)     Chris Rea Radio
    6)     Depeche Mode Radio
    7) q   Evanescence Radio
    8)     Faith No More Radio
    9)     Gary Numan/Tubeway Army Radio
   10)     Gorillaz Radio
   11)  Q  Roks QuickMix
   12)     Hoobastank Radio
   13)     Les Claypool Radio
   14)     Little Feat Radio
   15)     Marilyn Manson Radio
   16)     Nickelback Radio
   17) q   Nine Inch Nails Radio
   18)     Puddle Of Mudd Radio
   19)     Savoy Brown Radio
   20)     Seether Radio
   21)     Stevie Ray Vaughan Radio
   22)     The Black Keys Radio
   23)     The Cult Radio
   24)     The Fabulous Thunderbirds Radio
   25)     Thin Lizzy Radio
   26)     Thousand Foot Krutch Radio
   27)     ZZ Top Radio
[?] Select station:


I still ignore the errors in terminal when pianobar launches since it works OK for me. Just to reiterate, these are converted Debian Sid Packages.

EDIT: These pets are now no good as of 2011/9/23. The liba04 pet is good. The faad2.7 wolfe pet is good. Go to end of thread to my latest post to see how I got latest pianobar to work.
pianobar_2011.07.09-1_i386.pet
Description  install second
pet

 Download 
Filename  pianobar_2011.07.09-1_i386.pet 
Filesize  31.13 KB 
Downloaded  221 Time(s) 
libpiano0_2011.07.09-1_i386.pet
Description  Install first
pet

 Download 
Filename  libpiano0_2011.07.09-1_i386.pet 
Filesize  37.75 KB 
Downloaded  222 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message Visit_website 
sfeeley

Joined: 14 Feb 2010
Posts: 809

PostPosted: Mon 15 Aug 2011, 00:44    Post_subject:  

@Rocky-- After pianobar stopped working, I followed the instructions of the previous post. I used package manager to eliminate the old version. And then I installed Rocky's library and the pianobar bet. But when I went to terminal and typed "pianobar" I got this error"

Code:
pianobar: error while loading shared lbraries: libao.so.4 cannot open shared object file: No such file or directory
Bash: pianobar.: command not found


thoughts?
Back to top
View user's profile Send_private_message 
rokytnji


Joined: 20 Jan 2009
Posts: 1386
Location: Pecos/ Texas

PostPosted: Mon 15 Aug 2011, 12:33    Post_subject:  

You need to install the liba04 pet I posted a few posts up.
Back to top
View user's profile Send_private_message Visit_website 
sfeeley

Joined: 14 Feb 2010
Posts: 809

PostPosted: Wed 17 Aug 2011, 08:51    Post_subject:  

Thanks Rokynji-- Success! (I think I was missing the faad pet)

So to help people following in my footsteps, since the instructions are spread in a few posts, I had success by installing in the following order:

1- tfaad2-2.7-v3-wolfe. pet
2- libao4_1.1.0-1_i386.pet
3- libpiano_2011.07.09-1386.pet
4- pianobar_2011.07.09-1_i386.pet

all are available on this thread. Works on puppy 5.2 as of 8/17/2011

(as mentioned previously a few errors pop up when you load pianobar, but still works)
Back to top
View user's profile Send_private_message 
sfeeley

Joined: 14 Feb 2010
Posts: 809

PostPosted: Thu 22 Sep 2011, 12:11    Post_subject:  

gack.
9/22/11 Pianobar is broken again

Quote:
Login... Error: Protocol incompatible. Please upgrade libpiano


Would love another dose of that pianobar fixin' magic . . . .
Back to top
View user's profile Send_private_message 
rokytnji


Joined: 20 Jan 2009
Posts: 1386
Location: Pecos/ Texas

PostPosted: Thu 22 Sep 2011, 14:48    Post_subject:  

Wait I guess because libpiano-dev

Latest version: 2011.07.09-1

Debian Sid, Ubuntu Oneirc, and rpm files even

is where it stops for now and That was the one I used to make a .pet with.

Will have to wait on pianobar developer on this one.
Back to top
View user's profile Send_private_message Visit_website 
sfeeley

Joined: 14 Feb 2010
Posts: 809

PostPosted: Thu 22 Sep 2011, 18:00    Post_subject:  

@Roky

I'm a total newb in such matters and aren't even entirely sure what to look for.

That said, I did notice that on this page, there are several links for the "latest release" of pianobar dated 9-22-2011 (i.e. today).

does this help?

http://6xq.net/projects/pianobar/

thanks.
(someday I need to figure out how to install something that's not a premade .pet -- I feel useless).
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 2 of 3 Posts_count   Goto page: Previous 1, 2, 3 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Utilities
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0986s ][ Queries: 12 (0.0065s) ][ GZIP on ]